MONGOC_AUTO_ENCRYPTION_OPTS_SET_EXTRA(3)

NAME
mongoc_auto_encryption_opts_set_extra - mongoc_auto_encryption_opts_set_extra()

SYNOPSIS

        void
        mongoc_auto_encryption_opts_set_extra (mongoc_auto_encryption_opts_t *opts,
                                               const bson_t *extra);

PARAMETERS

    •   opts: The mongoc_auto_encryption_opts_t

    •   extra: A bson_t of additional options.

extra is a bson_t containing any of the following optional fields:

    •   mongocryptdURI set to a URI to connect to the mongocryptd process (default is "mongodb://localhost:27027").

    •   mongocryptdBypassSpawn set to true to prevent the driver from spawning the mongocryptd process (default behavior is to spawn).

    •   mongocryptdSpawnPath set to a path (with trailing slash) to search for mongocryptd (defaults to empty string and uses default system paths).

    •   mongocryptdSpawnArgs set to an array of string arguments to pass to mongocryptd when spawning (defaults to [ "--idleShutdownTimeoutSecs=60" ]).

For more information, see the Client-Side Encryption specification.

SEE ALSO:
        mongoc_client_enable_auto_encryption()

        The guide for Using Client-Side Field Level Encryption

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc